Package org.apache.solr.common.cloud

# Class CompositeIdRouter.KeyParser

java.lang.Object
org.apache.solr.common.cloud.CompositeIdRouter.KeyParser

Enclosing class:
  `CompositeIdRouter`

protected static class CompositeIdRouter.KeyParser extends Object
Helper class to calculate parts, masks etc. for an id.

## Constructor Summary

Constructors
Constructor
Description
`KeyParser(String key)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getHash()`
`DocRouter.Range`
`getRange()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeyParser

public KeyParser(String key)

## Method Details

### getRange

public DocRouter.Range getRange()

### getHash

public int getHash()